Bug 218589 - lang/php70: Update to 7.0.18 + lang/php71: Update to 7.1.4
Summary: lang/php70: Update to 7.0.18 + lang/php71: Update to 7.1.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Torsten Zuehlsdorff
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-12 12:42 UTC by Jochen Neumeister
Modified: 2017-04-19 11:04 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (tz)
tz: merge-quarterly+


Attachments
Patch PHP70 (784 bytes, patch)
2017-04-12 12:42 UTC, Jochen Neumeister
joneum: maintainer-approval? (tz)
Details | Diff
Patch PHP71 (778 bytes, patch)
2017-04-12 14:01 UTC, Jochen Neumeister
joneum: maintainer-approval? (tz)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jochen Neumeister freebsd_committer 2017-04-12 12:42:39 UTC
Created attachment 181715 [details]
Patch PHP70

Here is the Update for php70:

http://php.net/ChangeLog-7.php (Changes are not yet available)

poudriere build fine for:
10.3 amd + i386
11.0 amd + i386
12-current amd + i386 (r316694) 

Chech with:
% grep -RH 7.0.17 /usr/ports/*/php70*/Makefile

Tests incl all Slave Ports in Poudrire

edit
 lang/php70/Makefile
Comment 1 Jochen Neumeister freebsd_committer 2017-04-12 14:01:00 UTC
Created attachment 181716 [details]
Patch PHP71

Here is the Update for php71:

http://php.net/ChangeLog-7.php (Changes are not yet available)

poudriere build fine for:
10.3 amd + i386
11.0 amd + i386
12-current amd + i386 (r316694) 

Check with:
% grep -RH 7.1.3 /usr/ports/*/php71*/Makefile

Tests incl all Slave Ports in Poudrire

edit
 lang/php71/Makefile

Cheers
jochen
Comment 2 Jochen Neumeister freebsd_committer 2017-04-12 14:21:44 UTC
reviews: 
https://reviews.freebsd.org/D10373
https://reviews.freebsd.org/D10372
Comment 3 commit-hook freebsd_committer 2017-04-18 08:58:04 UTC
A commit references this bug:

Author: tz
Date: Tue Apr 18 08:57:36 UTC 2017
New revision: 438766
URL: https://svnweb.freebsd.org/changeset/ports/438766

Log:
  Update PHP 7.1 from 7.1.3 to 7.1.4

  Changelog: http://www.php.net/ChangeLog-7.php#7.1.4

  PR:           218589
  Submitted by: Jochen Neumeister <joneum@bsdproject.de>
  MFH:          2017Q2
  Differential Revision: https://reviews.freebsd.org/D10372

Changes:
  head/lang/php71/Makefile
  head/lang/php71/distinfo
Comment 4 commit-hook freebsd_committer 2017-04-18 09:01:09 UTC
A commit references this bug:

Author: tz
Date: Tue Apr 18 09:00:06 UTC 2017
New revision: 438767
URL: https://svnweb.freebsd.org/changeset/ports/438767

Log:
  Update PHP 7 from 7.0.17 to 7.0.18

  Changelog: http://www.php.net/ChangeLog-7.php#7.0.18

  PR:           218589
  Submitted by: Jochen Neumeister <joneum@bsdproject.de>
  MFH:          2017Q2
  Differential Revision: https://reviews.freebsd.org/D10373

Changes:
  head/lang/php70/Makefile
  head/lang/php70/distinfo
Comment 5 commit-hook freebsd_committer 2017-04-19 10:59:17 UTC
A commit references this bug:

Author: tz
Date: Wed Apr 19 10:59:01 UTC 2017
New revision: 438835
URL: https://svnweb.freebsd.org/changeset/ports/438835

Log:
  MFH: r438767

  Update PHP 7 from 7.0.17 to 7.0.18

  Changelog: http://www.php.net/ChangeLog-7.php#7.0.18

  PR:           218589
  Submitted by: Jochen Neumeister <joneum@bsdproject.de>
  Differential Revision: https://reviews.freebsd.org/D10373

  Approved by: ports-secteam (junovitch)

Changes:
_U  branches/2017Q2/
  branches/2017Q2/lang/php70/Makefile
  branches/2017Q2/lang/php70/distinfo
Comment 6 commit-hook freebsd_committer 2017-04-19 11:01:20 UTC
A commit references this bug:

Author: tz
Date: Wed Apr 19 11:00:26 UTC 2017
New revision: 438836
URL: https://svnweb.freebsd.org/changeset/ports/438836

Log:
  MFH: r438766

  Update PHP 7.1 from 7.1.3 to 7.1.4

  Changelog: http://www.php.net/ChangeLog-7.php#7.1.4

  PR:           218589
  Submitted by: Jochen Neumeister <joneum@bsdproject.de>
  Differential Revision: https://reviews.freebsd.org/D10372

  Approved by: ports-secteam (junovitch)

Changes:
_U  branches/2017Q2/
  branches/2017Q2/lang/php71/Makefile
  branches/2017Q2/lang/php71/distinfo
Comment 7 Torsten Zuehlsdorff freebsd_committer 2017-04-19 11:04:01 UTC
Committed and merged into quarterly!

Thanks again!